Retrieves the task with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

task
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
task_type_id

Foreign key of task type for this task

globally unique identifier

Optionally required : task_type_id, task_type_code or task_type must be provided

task_type_code

Embedded entity "task_type" using ERP PK when adding/updating task

string

Optionally required : task_type_id, task_type_code or task_type must be provided

task_type

Embedded entity "task_type" when adding/updating task

task_type

Optionally required : task_type_id, task_type_code or task_type must be provided

task_status_id

Foreign key of task status for this task.If nothing specified, the system will uses the default task_status available

globally unique identifier
task_status_reference_back_office

Embedded entity "task_status" using ERP PK when adding/updating task

string
task_status

Embedded entity "task_status" when adding/updating task

task_status
task_priority_id

Foreign key of task priority for this task

globally unique identifier

Optionally required : task_priority_id, task_priority_code or task_priority must be provided

task_priority_code

Embedded entity "task_priority" using ERP PK when adding/updating task

string

Optionally required : task_priority_id, task_priority_code or task_priority must be provided

task_priority

Embedded entity "task_priority" when adding/updating task

task_priority

Optionally required : task_priority_id, task_priority_code or task_priority must be provided

company_id

The company linked to this task

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating task

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating task

company

Optionally required : company_id, company_code or company must be provided

to_db_table_id

Foreign key to the table that is linked to this task (Example:project or jobs) using Guid

globally unique identifier
to_db_table_name

Foreign key to the table that is linked to this task (Example:project or jobs) using table name

string
to_id_in_table

Foreign key of the object that is linked to this task using Odyssee Guid Primary Key (Exemple:project.id or jobs.id)

globally unique identifier
subject

Subject of the Task

string

Required

Max length: 150

remark

Remark of the Task (long text area field)

string
internal_remark

string

Max length: 4000

customer_reference

Reference of this task for the customer

string

Max length: 50

assigned_to_user_id

Foreign key of the user on which the task has been assigned. If not filled, the system can fill it automatically based on the task_type. When a task is assigned to somebody, the field date_assigned will be filled

globally unique identifier
assigned_to_user_group_id

Foreign key of the user_group on which the task will be assigned. If not filled, the system can fill it automatically based on the task_type

globally unique identifier
date_create

Creation date+time. Automaticaly filled when adding if no value specified

date
date_start

Starting date of the task (date_start in the future are not shown on the UI)

date
due_date

Deadline to close the task

date
date_closed

Date+Time when the task goes into archive (=completed)

date
archived

Indicate that the task is now closed (has been updated to a task status 'Completed').Automatically filled when adding/updating a task based on the task_type

boolean
date_assigned

Date+Time when the task has been assigned to a specific user

date
date_suggested_by_company

Date+Time suggested by the company to start working on this task

date
id2

Internal ID (numeric). Will be used on the UI to identify easily the task

integer
reference_back_office

The Id/Ref of the back office for this task. Used by Embedded entity

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
contact_id

Foreign key of contact for this task.

globally unique identifier
contact_code

Embedded entity "contact_code" using ERP PK when adding/updating task

string
contact

Embedded entity "contact" when adding/updating task

contact
requested_by_company_id

Foreign key of company that requested this task.

globally unique identifier
requested_by_company_code

Embedded entity "company_code" using ERP PK when adding/updating task

string
requested_by_company

Embedded entity "compay" when adding/updating task

company
bill_to_party

Bill to party of the Task.

string

Response Formats

application/json, text/json

Sample:
{
  "id": "c4b9d596-dd20-412e-bede-d69b28fb7586",
  "task_type_id": "45b97003-8185-4c22-bf2c-53e4908e0693",
  "task_type_code": "sample string 3",
  "task_status_id": "f31bbb20-837c-46d6-b269-ae3f9a7ff526",
  "task_status_reference_back_office": "sample string 5",
  "task_priority_id": "7ff84a64-a0e6-45c8-93ee-5fbc6c74400a",
  "task_priority_code": "sample string 7",
  "company_id": "dc025f6c-308c-4b1c-882c-b6b2d457c1d5",
  "company_code": "sample string 9",
  "to_db_table_id": "227a86e7-a838-4161-a467-ba7561834281",
  "to_db_table_name": "sample string 11",
  "to_id_in_table": "4992851c-b380-4d42-b262-52068d36c3b2",
  "subject": "sample string 13",
  "remark": "sample string 14",
  "internal_remark": "sample string 15",
  "customer_reference": "sample string 16",
  "assigned_to_user_id": "a4e60f71-76be-4e3e-a292-aa78e1a187b4",
  "assigned_to_user_group_id": "01b81540-57be-4c89-84e4-8b2f483405e2",
  "date_create": "2026-05-01T15:59:49.4409055+00:00",
  "date_start": "2026-05-01T15:59:49.4409055+00:00",
  "due_date": "2026-05-01T15:59:49.4409055+00:00",
  "date_closed": "2026-05-01T15:59:49.4409055+00:00",
  "archived": true,
  "date_assigned": "2026-05-01T15:59:49.4409055+00:00",
  "date_suggested_by_company": "2026-05-01T15:59:49.4409055+00:00",
  "id2": 26,
  "reference_back_office": "sample string 27",
  "modified_dateutc": "2026-05-01T15:59:49.4409055+00:00",
  "contact_id": "7751ddbf-5b9c-4fa5-98aa-93f81e61adfa",
  "contact_code": "sample string 30",
  "requested_by_company_id": "365c54d4-a1b9-4b33-9fc2-55b4d3948aee",
  "requested_by_company_code": "sample string 32",
  "bill_to_party": "sample string 33"
}